from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFastParser(XInterface, Protocol):
    def setFastDocumentHandler(self, Handler: XFastDocumentHandler) -> None: ...
    def setTokenHandler(self, Handler: XFastTokenHandler) -> None: ...
    def setErrorHandler(self, Handler: XErrorHandler) -> None: ...
    def setEntityResolver(self, Resolver: XEntityResolver) -> None: ...
    def setLocale(self, locale: Locale) -> None: ...
    def setNamespaceHandler(self, Handler: XFastNamespaceHandler) -> None: ...
    def setCustomEntityNames(self, beans::Pair<string: sequence<, replacements: string> >) -> None: ...
